// Global theme assets
Bundle["app/theme/kiosk.css"].installStylesheet(true);
await Bundle["app/theme/inconsolata.woff2"].installFont(
    "Inconsolata SemiExpanded Medium");
await Bundle["app/theme/roboto.woff2"].installFont("Roboto");
Bundle["app/theme/check.svg"   ].installImage("tk-check"   , "check.svg"   );
Bundle["app/theme/close.svg"   ].installImage("tk-close"   , "close.svg"   );
Bundle["app/theme/collapse.svg"].installImage("tk-collapse", "collapse.svg");
Bundle["app/theme/expand.svg"  ].installImage("tk-expand"  , "expand.svg"  );
Bundle["app/theme/radio.svg"   ].installImage("tk-radio"   , "radio.svg"   );
Bundle["app/theme/scroll.svg"  ].installImage("tk-scroll"  , "scroll.svg"  );

// Module imports
import { Core    } from /**/"./core/Core.js";
import { Toolkit } from /**/"./toolkit/Toolkit.js";
import { App     } from /**/"./app/App.js";

// Begin application
let dark = matchMedia("(prefers-color-scheme: dark)").matches;
let url  = u=>u.startsWith("data:")?u:new URL(u,import.meta.url).toString();
new App({
    core      : await Core.create({ sims: 2 }),
    locale    : navigator.language,
    standalone: true,
    theme     : dark ? "dark" : "light",
    locales   : [
        await (await fetch(url(/**/"./locale/en-US.json"))).json()
    ],
    themes    : {
        dark   : Bundle["app/theme/dark.css"   ].installStylesheet( dark),
        light  : Bundle["app/theme/light.css"  ].installStylesheet(!dark),
        virtual: Bundle["app/theme/virtual.css"].installStylesheet(false)
    }
});
